Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1077 - fdisk does not properly recognize 16G hard drives
Summary: fdisk does not properly recognize 16G hard drives
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-08 18:28 UTC by drector
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-10 20:01:51 UTC


Attachments (Terms of Use)

Description drector 1999-02-08 18:28:17 UTC
During a routine installation on a P-Pro machine, fdisk
only sees 8G of a 16G ide drive.

The Bios properly recognizes the disk, and the kernel
reports 16G disk size for hda, but fdisk only sees 8G of the
disk.

Comment 1 drector 1999-02-08 19:01:59 UTC
Using the advanced menu, and 'set cylinders' I manually set the number
of cylinders to 2048 rather than the 1024 which was detected. fdisk
now complains about errors in the cylinder boundries. Is this a
solution?

Comment 2 David Lawrence 1999-02-10 20:01:59 UTC
This bug has been previously reported. We are working on finding a
solution. It is pretty common with drives larger than 8 gigs and when
a solution is implemented it should fix the same problem wit most
sizes above 8 gigs.

Comment 3 pickens 1999-04-26 16:43:59 UTC
Why is this bug discarded? Until this is fixed, I cannot install
Linux in a partition at the end of my 20GB drive.


Note You need to log in before you can comment on or make changes to this bug.